changeset 1086:59281941172b

Test script to run individual build_stage invocations and such with include.sh and read_arch_dir loaded. Usage: STAGE_NAME=simple-cross-compiler sources/more/test.sh sparc build_stage uClibc
author Rob Landley <rob@landley.net>
date Sun, 16 May 2010 20:08:51 -0500
parents 2e03f846b21e
children 92dff880e322
files sources/more/test.sh
diffstat 1 files changed, 16 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/sources/more/test.sh	Sun May 16 20:08:51 2010 -0500
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+# Run a command with sources/include.sh and an architecture loaded
+
+if [ $# -eq 0 ]
+then
+  echo "Usage: test.sh ARCH COMMAND..." >&2
+  echo "You generally want to set STAGE_NAME= too."
+  exit 1
+fi
+
+. sources/include.sh || exit 1
+
+read_arch_dir "$1"
+shift
+"$@"